quoted_string.h File Reference

Go to the source code of this file.

## Classes

struct | std::__detail::_Quoted_string< _String, _CharT >

## Namespaces

namespace | std
namespace | std::__detail

## Functions

template<typename _CharT, typename _Traits, typename _String>
std::basic_ostream< _CharT, _Traits > & | std::__detail::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const _Quoted_string< _String, _CharT > &__str)
template<typename _CharT, typename _Traits>
std::basic_ostream< _CharT, _Traits > & | std::__detail::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const _Quoted_string< const _CharT *, _CharT > &__str)
template<typename _CharT, typename _Traits, typename _Alloc>
std::basic_istream< _CharT, _Traits > & | std::__detail::operator>> (std::basic_istream< _CharT, _Traits > &__is, const _Quoted_string< basic_string< _CharT, _Traits, _Alloc > &, _CharT > &__str)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <iomanip>.

Definition in file quoted_string.h.